[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemonThread.PauseDaemon

Pause the daemon

## Declaration

Source position: daemonapp.pp line 343

`public function TDaemonThread.PauseDaemon: Boolean; virtual;`

## Function result

True if the daemon was successfully paused

## Description

PauseDaemon attempts to pause the Daemon by calling methods in the TCustomDaemon instance, and calling Suspend to suspend the thread. It returns True if the attempt was successful.

## See also

TDaemonThread.StopDaemon |  | Stops the daemon
TDaemonThread.ContinueDaemon |  | Continue the daemon
TDaemonThread.ShutDownDaemon |  | Shut down daemon
TCustomDaemon |  | Base daemon application class
TThread.Suspend